# Uses of Interface
org.apache.lucene.util.Bits

Packages that use Bits
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.lucene95
Lucene 9.5 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util
Some utility classes.
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of Bits in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return Bits
  Modifier and Type
  Method
  Description
  `abstract Bits`
  LiveDocsFormat.`readLiveDocs(Directory dir, SegmentCommitInfo info, IOContext context)`
  Read live docs bits.
  Methods in org.apache.lucene.codecs with parameters of type Bits
  Modifier and Type
  Method
  Description
  `abstract void`
  LiveDocsFormat.`writeLiveDocs(Bits bits, Directory dir, SegmentCommitInfo info, int newDelCount, IOContext context)`
  Persist live docs bits.

- ## Uses of Bits in org.apache.lucene.codecs.lucene90

  Methods in org.apache.lucene.codecs.lucene90 that return Bits
  Modifier and Type
  Method
  Description
  `Bits`
  Lucene90LiveDocsFormat.`readLiveDocs(Directory dir, SegmentCommitInfo info, IOContext context)`
  Methods in org.apache.lucene.codecs.lucene90 with parameters of type Bits
  Modifier and Type
  Method
  Description
  `void`
  Lucene90LiveDocsFormat.`writeLiveDocs(Bits bits, Directory dir, SegmentCommitInfo info, int newDelCount, IOContext context)`

- ## Uses of Bits in org.apache.lucene.codecs.lucene95

  Methods in org.apache.lucene.codecs.lucene95 that return Bits
  Modifier and Type
  Method
  Description
  `Bits`
  OffHeapByteVectorValues.DenseOffHeapVectorValues.`getAcceptOrds(Bits acceptDocs)`
  `Bits`
  OffHeapFloatVectorValues.DenseOffHeapVectorValues.`getAcceptOrds(Bits acceptDocs)`
  Methods in org.apache.lucene.codecs.lucene95 with parameters of type Bits
  Modifier and Type
  Method
  Description
  `Bits`
  OffHeapByteVectorValues.DenseOffHeapVectorValues.`getAcceptOrds(Bits acceptDocs)`
  `Bits`
  OffHeapFloatVectorValues.DenseOffHeapVectorValues.`getAcceptOrds(Bits acceptDocs)`

- ## Uses of Bits in org.apache.lucene.codecs.lucene99

  Methods in org.apache.lucene.codecs.lucene99 that return Bits
  Modifier and Type
  Method
  Description
  `Bits`
  OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues.`getAcceptOrds(Bits acceptDocs)`
  Methods in org.apache.lucene.codecs.lucene99 with parameters of type Bits
  Modifier and Type
  Method
  Description
  `Bits`
  OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues.`getAcceptOrds(Bits acceptDocs)`

- ## Uses of Bits in org.apache.lucene.index

  Classes in org.apache.lucene.index that implement Bits
  Modifier and Type
  Class
  Description
  `final class`
  `MultiBits`
  Concatenates multiple Bits together, on every lookup.
  Fields in org.apache.lucene.index declared as Bits
  Modifier and Type
  Field
  Description
  `final Bits[]`
  MergeState.`liveDocs`
  Live docs for each reader
  Methods in org.apache.lucene.index that return Bits
  Modifier and Type
  Method
  Description
  `Bits`
  KnnVectorValues.`getAcceptOrds(Bits acceptDocs)`
  Returns a Bits accepting docs accepted by the argument and having a vector value
  `Bits`
  SegmentReader.`getHardLiveDocs()`
  Returns the live docs that are not hard-deleted.
  `Bits`
  FilterCodecReader.`getLiveDocs()`
  `Bits`
  FilterLeafReader.`getLiveDocs()`
  `abstract Bits`
  LeafReader.`getLiveDocs()`
  Returns the `Bits` representing live (not deleted) docs.
  `static Bits`
  MultiBits.`getLiveDocs(IndexReader reader)`
  Returns a single `Bits` instance for this reader, merging live Documents on the fly.
  `Bits`
  ParallelLeafReader.`getLiveDocs()`
  `Bits`
  SegmentReader.`getLiveDocs()`
  `Bits`
  SortingCodecReader.`getLiveDocs()`
  Methods in org.apache.lucene.index with parameters of type Bits
  Modifier and Type
  Method
  Description
  `Bits`
  KnnVectorValues.`getAcceptOrds(Bits acceptDocs)`
  Returns a Bits accepting docs accepted by the argument and having a vector value
  Constructors in org.apache.lucene.index with parameters of type Bits
  Modifier
  Constructor
  Description
  ``
  `MergeState(MergeState.DocMap[] docMaps, SegmentInfo segmentInfo, FieldInfos mergeFieldInfos, StoredFieldsReader[] storedFieldsReaders, TermVectorsReader[] termVectorsReaders, NormsProducer[] normsProducers, DocValuesProducer[] docValuesProducers, FieldInfos[] fieldInfos, Bits[] liveDocs, FieldsProducer[] fieldsProducers, PointsReader[] pointsReaders, KnnVectorsReader[] knnVectorsReaders, int[] maxDocs, InfoStream infoStream, Executor intraMergeTaskExecutor, boolean needsIndexSort)`
  Create a new merge instance.

- ## Uses of Bits in org.apache.lucene.search

  Methods in org.apache.lucene.search that return Bits
  Modifier and Type
  Method
  Description
  `abstract Bits`
  AcceptDocs.`bits()`
  Random access to the accepted documents.
  `Bits`
  DocIdSet.`bits()`
  Deprecated.
  this method is redundant and will be removed.
  Methods in org.apache.lucene.search with parameters of type Bits
  Modifier and Type
  Method
  Description
  `void`
  DocAndFloatFeatureBuffer.`apply(Bits liveDocs)`
  Remove entries from this buffer if their bit is unset in the given `Bits`.
  `static AcceptDocs`
  AcceptDocs.`fromIteratorSupplier(IOSupplier<DocIdSetIterator> iteratorSupplier, Bits liveDocs, int maxDoc)`
  Create AcceptDocs from an `IOSupplier` of `DocIdSetIterator`, optionally filtered by live documents.
  `static AcceptDocs`
  AcceptDocs.`fromLiveDocs(Bits bits, int maxDoc)`
  Create AcceptDocs from a `Bits` instance representing live documents.
  `abstract void`
  DocIdSetBulkIterator.`iterate(LeafCollector collector, Bits acceptDocs, int min, int max)`
  Iterate over documents contained in this iterator and call `LeafCollector.collect(int)` on them.
  `void`
  ConstantScoreScorer.`nextDocsAndScores(int upTo, Bits liveDocs, DocAndFloatFeatureBuffer buffer)`
  `void`
  Scorer.`nextDocsAndScores(int upTo, Bits liveDocs, DocAndFloatFeatureBuffer buffer)`
  Return a new batch of doc IDs and scores, starting at the current doc ID, and ending before `upTo`.
  `void`
  TermScorer.`nextDocsAndScores(int upTo, Bits liveDocs, DocAndFloatFeatureBuffer buffer)`
  `abstract int`
  BulkScorer.`score(LeafCollector collector, Bits acceptDocs, int min, int max)`
  Collects matching documents in a range and return an estimation of the next matching document which is on or after `max`.
  `int`
  ConstantScoreQuery.ConstantBulkScorer.`score(LeafCollector collector, Bits acceptDocs, int min, int max)`
  `int`
  Weight.DefaultBulkScorer.`score(LeafCollector collector, Bits acceptDocs, int min, int max)`

- ## Uses of Bits in org.apache.lucene.util

  Classes in org.apache.lucene.util that implement Bits
  Modifier and Type
  Class
  Description
  `static class`
  `Bits.MatchAllBits`
  Bits impl of the specified length with all bits set.
  `static class`
  `Bits.MatchNoBits`
  Bits impl of the specified length with no bits set.
  `class`
  `BitSet`
  Base implementation for a bit set.
  `final class`
  `FixedBitSet`
  BitSet of fixed length (numBits), backed by accessible (`FixedBitSet.getBits()`) long[], accessed with an int index, implementing `Bits` and `DocIdSet`.
  `class`
  `SparseFixedBitSet`
  A bit set that only stores longs that have at least one bit which is set.
  Fields in org.apache.lucene.util declared as Bits
  Modifier and Type
  Field
  Description
  `static final Bits[]`
  Bits.`EMPTY_ARRAY`
  Methods in org.apache.lucene.util that return Bits
  Modifier and Type
  Method
  Description
  `Bits`
  FixedBitSet.`asReadOnlyBits()`
  Convert this instance to read-only `Bits`.
  `Bits`
  NotDocIdSet.`bits()`
  Deprecated.
  Methods in org.apache.lucene.util with parameters of type Bits
  Modifier and Type
  Method
  Description
  `static FixedBitSet`
  FixedBitSet.`copyOf(Bits bits)`
  Make a copy of the given bits.

- ## Uses of Bits in org.apache.lucene.util.hnsw

  Methods in org.apache.lucene.util.hnsw that return Bits
  Modifier and Type
  Method
  Description
  `Bits`
  RandomVectorScorer.AbstractRandomVectorScorer.`getAcceptOrds(Bits acceptDocs)`
  `default Bits`
  RandomVectorScorer.`getAcceptOrds(Bits acceptDocs)`
  Returns the `Bits` representing live documents.
  `Bits`
  UpdateableRandomVectorScorer.AbstractUpdateableRandomVectorScorer.`getAcceptOrds(Bits acceptDocs)`
  Methods in org.apache.lucene.util.hnsw with parameters of type Bits
  Modifier and Type
  Method
  Description
  `HnswGraphMerger`
  HnswGraphMerger.`addReader(KnnVectorsReader reader, MergeState.DocMap docMap, Bits liveDocs)`
  Adds a reader to the graph merger to record the state
  `IncrementalHnswGraphMerger`
  IncrementalHnswGraphMerger.`addReader(KnnVectorsReader reader, MergeState.DocMap docMap, Bits liveDocs)`
  Adds a reader to the graph merger if it meets the following criteria: 1.
  `static FilteredHnswGraphSearcher`
  FilteredHnswGraphSearcher.`create(int k, HnswGraph graph, int filterSize, Bits acceptOrds)`
  Creates a new filtered graph searcher.
  `Bits`
  RandomVectorScorer.AbstractRandomVectorScorer.`getAcceptOrds(Bits acceptDocs)`
  `default Bits`
  RandomVectorScorer.`getAcceptOrds(Bits acceptDocs)`
  Returns the `Bits` representing live documents.
  `Bits`
  UpdateableRandomVectorScorer.AbstractUpdateableRandomVectorScorer.`getAcceptOrds(Bits acceptDocs)`
  `static KnnCollector`
  HnswGraphSearcher.`search(RandomVectorScorer scorer, int topK, OnHeapHnswGraph graph, Bits acceptOrds, int visitedLimit)`
  Search `OnHeapHnswGraph`, this method is thread safe.
  `static void`
  HnswGraphSearcher.`search(RandomVectorScorer scorer, KnnCollector knnCollector, HnswGraph graph, Bits acceptOrds)`
  See `HnswGraphSearcher.search(RandomVectorScorer, KnnCollector, HnswGraph, Bits, int)`
  `static void`
  HnswGraphSearcher.`search(RandomVectorScorer scorer, KnnCollector knnCollector, HnswGraph graph, Bits acceptOrds, int filteredDocCount)`
  Searches the HNSW graph for the nearest neighbors of a query vector.